Contents
Index 🔎︎

# Left Function

Returnerar antalet tecken till vänster i ett stränguttryck som du anger.

## Syntax:

    Left (Text As String, n As Long)

## Returvärde:

String

## Parametrar:

Text: Ett stränguttryck som du vill returnera de vänstra tecknen från.

n: Ett numeriskt uttryck som anger det antal tecken som du vill returnera. Om n = 0, returneras en nollängdssträng. Det högsta tillåtna värdet är 65535.

I följande exempel konverteras ett datum från formatet ÅÅÅÅ.MM.DD till formatet MM/DD/ÅÅÅÅ.

## Felkoder:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Mata in ett datum i det internationella formatet 'ÅÅÅÅ-MM-DD'")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub